- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions

# MGeometryUtilities Class Reference

# OpenMayaRender - API module for rendering

Search for all occurrences

## Detailed Description

Utilities for Viewport 2.0.

This class is a utility class for rendering geometry in Viewport 2.0

`#include <MHWGeometryUtilities.h>`

List of all members.

## Static Public Member Functions
static MColor | wireframeColor (const MDagPath &path)
| Returns the wireframe color used in Viewport 2.0 for the given DAG path.
static DisplayStatus | displayStatus (const MDagPath &path, MStatus *returnStatus=NULL)
| Returns the display status of the given DAG path.
static const char * | className ()
| Returns the name of this class.

## Member Function Documentation

MColor wireframeColor | ( | const MDagPath & | path | ) | `[static]`

Search for all occurrences

Returns the wireframe color used in Viewport 2.0 for the given DAG path.

Parameters:

  [in] | path | The DAG path to get wireframe color

Returns:
  The wireframe color

MHWRender::DisplayStatus displayStatus | ( | const MDagPath & | path,
|  | MStatus * | returnStatus = `NULL`
| ) |  | `[static]`

Search for all occurrences

Returns the display status of the given DAG path.

Parameters:

  [in] | path | the DAG path to get.
  [out] | returnStatus | Status code.

Returns:
  Display status for the DAG

Status Codes:
  - MS::kSuccess Success
  - MS::kFailure The DAG path is invalid

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MGeometryUtilities MGeometryUtilities MGeometryUtilities MGeometryUtilities MGeometryUtilities MGeometryUtilities MGeometryUtilities MGeometryUtilities MGeometryUtilities MGeometryUtilities
MGeometryUtilities MGeometryUtilities MGeometryUtilities MGeometryUtilities MGeometryUtilities MGeometryUtilities MGeometryUtilities MGeometryUtilities MGeometryUtilities MGeometryUtilities